//
// Hi-Tech Lite include file for DB038 board with 16F887:
// A/D converter functions
//
// $Id: db038-adc.h,v 1.3 2012/04/24 17:25:15 Wouter Exp $
//
// (c) Wouter van Ooijen - wouter@voti.nl
//
// Copying and distribution of this file, with or without modification,
// are permitted in any medium without royalty provided the copyright
// notice and this notice are preserved.  This file is offered as-is,
// without any warranty.
// 

#ifndef _DB038_ADC_
#define _DB038_ADC_

#include "db038.h"

unsigned int adc_channel_read( unsigned char channel );
unsigned int adc_ldr( void );
unsigned int adc_potmeter( void );
unsigned int adc_lm335( void );
unsigned int adc_tl431( void );
unsigned int adc_microphone( void );
unsigned int adc_battery( void );
unsigned int adc_current( void );

#endif
