//
// Hi-Tech Lite test application for DB038 board with 16F887:
// read A/D (potentiometer)
//
// $Id: main-adc.c,v 1.4 2009/11/19 13:35:30 Wouter Exp $
//
// (c) Wouter van Ooijen - wouter@voti.nl
//
// Copying and distribution of this file, with or without modification,
// are permitted in any medium without royalty provided the copyright
// notice and this notice are preserved.  This file is offered as-is,
// without any warranty.
// 

#include "db038-leds.h"
#include "db038-adc.h"

void main(void){
   volatile unsigned int ad_result;
   for(;;){
  	  ad_result = adc_potmeter();
      display_decimal_show( ad_result, 0, 0, 10 );
   }
}