//
// Hi-Tech Lite include file for DB038 board with 16F887:
// char and string functions
//
// $Id: db038-string.h,v 1.2 2012/04/24 17:25:30 Wouter Exp $
//
// (c) Wouter van Ooijen - wouter@voti.nl
//
// Copying and distribution of this file, with or without modification,
// are permitted in any medium without royalty provided the copyright
// notice and this notice are preserved.  This file is offered as-is,
// without any warranty.
//  

#ifndef _DB038_STRING_H_
#define _DB038_STRING_H_

#include "db038.h"

char char_from_nibble( unsigned char x );
unsigned char str_len( const char *p );
unsigned char str_equal( const char *p, const char *q );
unsigned char str_prefix( const char *p, const char *q );
void str_copy( char *p, unsigned char s, char *q, unsigned char n );
unsigned char char_in( char c, const char * s );
unsigned char string_in( const char * p, const char * q );

#endif
